## ros-jazzy-rmw-dds-common 3.1.0

=== debian/changelog ===
ros-jazzy-rmw-dds-common (3.1.0-3bookworm) bookworm; urgency=high

  * Add pkcs11 support to get_security_files (#66 <https://github.com/ros2/rmw_dds_common/issues/66>)
  * Contributors: Miguel Company

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-jazzy-rmw-dds-common (3.0.0-3bookworm) bookworm; urgency=high

  * make a new private mutex and add updating graph methods (#73 <https://github.com/ros2/rmw_dds_common/issues/73>)
  * Contributors: Chen Lihui

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rmw-dds-common (2.1.1-3bookworm) bookworm; urgency=high

  * Just remove rcpputils::fs dependency (#72 <https://github.com/ros2/rmw_dds_common/issues/72>)
  * Contributors: Kenta Yonekura

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 08 Oct 2023 16:00:00 -0000

ros-jazzy-rmw-dds-common (2.1.0-3bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rmw-dds-common (2.0.1-3bookworm) bookworm; urgency=high

  * Type hash in GraphCache, user_data encoding tools (#70 <https://github.com/ros2/rmw_dds_common/issues/70>)
  * Mark benchmark _ as unused. (#71 <https://github.com/ros2/rmw_dds_common/issues/71>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-rmw-dds-common (2.0.0-3bookworm) bookworm; urgency=high

  * Update rmw_dds_common to C++17. (#69 <https://github.com/ros2/rmw_dds_common/issues/69>)
  * Change Gid.msg to be 16 bytes. (#68 <https://github.com/ros2/rmw_dds_common/issues/68>)
  * Minor cleanups of test_qos. (#67 <https://github.com/ros2/rmw_dds_common/issues/67>)
  * [rolling] Update maintainers - 2022-11-07 (#65 <https://github.com/ros2/rmw_dds_common/issues/65>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.7.1-3bookworm) bookworm; urgency=high

  * build shared lib only if BUILD_SHARED_LIBS is set (#62 <https://github.com/ros2/rmw_dds_common/issues/62>)
  * Update maintainers (#61 <https://github.com/ros2/rmw_dds_common/issues/61>)
  * Contributors: hannes09, methylDragon

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.7.0-3bookworm) bookworm; urgency=high

  * Add functions for resolving 'best available' QoS policies (#60 <https://github.com/ros2/rmw_dds_common/issues/60>)
    Given a QoS profile and set of endpoints for the same topic, overwrite any policies set to
    BEST_AVAILABLE with a policy such that it matches all endpoints while maintaining a high
    level of service.
    Add testable functions for updating BEST_AVAILABLE policies,
    * qos_profile_get_best_available_for_subscription
    * qos_profile_get_best_available_for_publisher
    and add convenience functions that actual query the graph for RMW implementations to use,
    * qos_profile_get_best_available_for_topic_subscription
    * qos_profile_get_best_available_for_topic_publisher
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 May 2022 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.6.0-3bookworm) bookworm; urgency=high

  * Depend on target generated by rosidl_typesupport_cpp (#58 <https://github.com/ros2/rmw_dds_common/issues/58>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.5.1-3bookworm) bookworm; urgency=high

  * Use rosidl_get_typesupport_target() and target_link_libraries(). (#57 <https://github.com/ros2/rmw_dds_common/issues/57>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.5.0-3bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#56 <https://github.com/ros2/rmw_dds_common/issues/56>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.4.1-3bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#55 <https://github.com/ros2/rmw_dds_common/issues/55>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.4.0-3bookworm) bookworm; urgency=high

  * Fix up rmw_dds_common documentation when using rosdoc2 (#54 <https://github.com/ros2/rmw_dds_common/issues/54>)
  * Add support for Certificate Revocation List files (#52 <https://github.com/ros2/rmw_dds_common/issues/52>)
  * Silence clang warning (range-loop-construct) (#53 <https://github.com/ros2/rmw_dds_common/issues/53>)
  * Contributors: Chris Lalancette, Karsten Knese, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 15 Sep 2021 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.3.0-3bookworm) bookworm; urgency=high

  * Add a common function for security files. (#51 <https://github.com/ros2/rmw_dds_common/issues/51>)
  * Normalize rmw_time_t according to DDS spec (#48 <https://github.com/ros2/rmw_dds_common/issues/48>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 27 Jun 2021 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.2.1-3bookworm) bookworm; urgency=high

  * Fix one more instance of index.ros.org. (#49 <https://github.com/ros2/rmw_dds_common/issues/49>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#46 <https://github.com/ros2/rmw_dds_common/issues/46>)
  * Contributors: Chris Lalancette, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-rmw-dds-common (1.2.0-3bookworm) bookworm; urgency=high

  * Add function for checking QoS profile compatibility (#45 <https://github.com/ros2/rmw_dds_common/issues/45>)

