=== debian/control ===
Source: ros-jazzy-rmw-dds-common
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-osrf-testing-tools-cpp <!nocheck>, ros-jazzy-performance-test-fixture <!nocheck>, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rosidl-default-generators, ros-jazzy-rosidl-runtime-c, ros-jazzy-rosidl-runtime-cpp, ros-jazzy-ros-workspace, ros-jazzy-rosidl-typesupport-fastrtps-c, ros-jazzy-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmw-dds-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rosidl-default-runtime, ros-jazzy-rosidl-runtime-c, ros-jazzy-rosidl-runtime-cpp, ros-jazzy-ros-workspace
Description: Define a common interface between DDS implementations of ROS middleware.
